RFC-14 Search Results
RFC-14 Datasheets (2)
JW Miller
| Part | ECAD Model | Manufacturer | Description | Datasheet Type | PDF Size | Page count | |
|---|---|---|---|---|---|---|---|
| RFC-14 | JW Miller | Radio Frequency Chokes | Scan | 319.33KB | 1 | ||
| RFC-144 | JW Miller | Radio Frequency Chokes | Scan | 319.33KB | 1 |
RFC-14 Price and Stock
Select Manufacturer
Bourns Inc RFC-14-RCRF Inductor - Fixed - 84 uH - 10% Tolerance - 600mA - 7 to20 MHZ - 425 mOhms Maximum DC Resistance - PCB Mount. |
|||||||||||
| Distributors | Part | Package | Stock | Lead Time | Min Order Qty | Price | Buy | ||||
|
RFC-14-RC |
|
Buy Now | ||||||||
|
RFC-14-RC |
|
Buy Now | ||||||||
Quest Technology International Inc RFC-1413CABLE ASSEMBLY, TNC PLUG X2, RG-58A/U CBL, 36" |
|||||||||||
| Distributors | Part | Package | Stock | Lead Time | Min Order Qty | Price | Buy | ||||
|
RFC-1413 | Bulk | 5 Weeks | 1 |
|
Get Quote | |||||
Quest Technology International Inc RFC-1411CABLE ASSEMBLY, TNC PLUG X2, RG-58A/U CBL, 12" |
|||||||||||
| Distributors | Part | Package | Stock | Lead Time | Min Order Qty | Price | Buy | ||||
|
RFC-1411 | Bulk | 6 Weeks | 1 |
|
Get Quote | |||||
Quest Technology International Inc RFC-1416CABLE ASSEMBLY, TNC PLUG X2, RG-58A/U CBL, 10FT. |
|||||||||||
| Distributors | Part | Package | Stock | Lead Time | Min Order Qty | Price | Buy | ||||
|
RFC-1416 | Bulk | 6 Weeks | 1 |
|
Get Quote | |||||
JW Miller RFC144 |
|||||||||||
| Distributors | Part | Package | Stock | Lead Time | Min Order Qty | Price | Buy | ||||
|
RFC144 | 615 |
|
Buy Now | |||||||